<div class="container py-2">
  <app-breadcrumb-public [single]="true" titlePage="Todos los Productos"></app-breadcrumb-public>
  <div class="row">
    <div class="col-12 px-3">
      <div class="row px-3">
        <h1 class="text-left text-title">Todos los Productos</h1>
      </div>
    </div>
    <div class="col-12">
      <div class="row">
        <div class="col-12 col-sm-6 col-md-4 col-lg-3" *ngFor="let product of products |  paginate: { itemsPerPage: 8, currentPage: page }; let i=index">
          <div class="card m-2 p-3 cardProduct">
            <div class="row d-flex justify-content-center align-items-center">
              <div class="col-12 d-flex justify-content-center align-items-center">
                <a [routerLink]="['/todos-productos', product.slug]">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-product" *ngIf="!product.image">
                  <img [src]="product._id | image: 'products'" [alt]="product.image" class="img-product" *ngIf="product.image" (error)="replaceImage(image)" #image>
                </a>
              </div>
              <div class="col-12">
                <h4 class="text-name text-start ps-1">{{ product.name.es }}</h4>
                <h5 class="text-record" *ngIf="product.record">Reg. SAGARPA {{ product.record }}</h5>
                <div class="row border m-1 kindsBox">
                  <div class="col-3 tooltip2" *ngFor="let kind of product.kinds">
                    <img [src]="kind._id | image: 'kinds'" class="img-kinds" [alt]="kind.image" (error)="replaceImage(image)" #image>
                    <div class="top">
                      <h6>{{ kind.name }}</h6>
                      <i></i>
                    </div>
                  </div>
                </div>
                <div class="row mt-3 btnRow">
                  <div class="col-12">
                    <a [routerLink]="['/todos-productos', product.slug]" class="btn btn-primary float-end"> Ver más</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row my-3">
        <pagination-controls  (pageChange)="page = $event"
                              (pageBoundsCorrection)="page = $event"
                              [maxSize]=9
                              [directionLinks]=true
                              [autoHide]=true
                              [responsive]=true
                              previousLabel="Anterior"
                              nextLabel="Siguente"
                              screenReaderPaginationLabel="Pagination"
                              screenReaderPageLabel="page"
                              screenReaderCurrentLabel="You're on page">
        </pagination-controls>
      </div>
    </div>
  </div>
</div>

